using System;

namespace Petlja2C
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            
            if (n == 2)
            {
                bool[,] b = new bool[n, n];

                string[] s = Console.ReadLine().Split(' ');
                b[int.Parse(s[0]), int.Parse(s[1])] = true;
                s = Console.ReadLine().Split(' ');
                b[int.Parse(s[0]), int.Parse(s[1])] = true;

                if ((b[0, 0] != b[0, 1]) && (b[0, 0] != b[1, 0]))
                {
                    Console.WriteLine(0);
                }
                else
                    Console.WriteLine(1);
            }
            else
            {
                for(int i = 0; i<n; i++)
                    Console.ReadLine();
                Console.WriteLine(0);
            }
        }
    }
}